class TwilioController < ApplicationController
  def index
    msg = Twilio::TwiML::Response.new do |r|
      r.Say "Hello, welcome to Scavenger Hunt Express."
      r.Gather action: '/twilio/get_message', method: 'get' do |g|
        g.Say "Please enter the ID of the message and end with #."
      end
    end.text

    render xml: msg
  end

  def get_message
    id = params['message'] || params["Digits"]
    message_object = Message.find_by_id(id)
    if message_object.nil?
      message = "No message with id #{id} found."
    else
      message = "Begin Message." + message_object.body + ". End Message."
    end

    msg = Twilio::TwiML::Response.new do |r|
      r.Say message

      r.Gather numDigits: 1, action: "/twilio/get_message?message=#{params['Digits']}", method: 'get' do |g|
        g.Say "Press any key to hear this message again."
      end
    end.text

    render xml: msg
  end
end
